- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | Properties

# QProgressDialog Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qprogressdialog.h.

`#include <qprogressdialog.h>`

Inheritance diagram for QProgressDialog:
[legend]

List of all members.

## Public Slots
void | cancel ()
void | reset ()
void | setMaximum (int maximum)
void | setMinimum (int minimum)
void | setRange (int minimum, int maximum)
void | setValue (int progress)
void | setLabelText (const QString &text)
void | setCancelButtonText (const QString &text)
void | setMinimumDuration (int ms)
## Signals
void | canceled ()
## Public Member Functions
| QProgressDialog (QWidget *parent=0, Qt::WindowFlags flags=0)
| QProgressDialog (const QString &labelText, const QString &cancelButtonText, int minimum, int maximum, QWidget *parent=0, Qt::WindowFlags flags=0)
| ~QProgressDialog ()
void | setLabel (QLabel *label)
void | setCancelButton (QPushButton *button)
void | setBar (QProgressBar *bar)
bool | wasCanceled () const
int | minimum () const
int | maximum () const
int | value () const
QSize | sizeHint () const
QString | labelText () const
int | minimumDuration () const
void | setAutoReset (bool reset)
bool | autoReset () const
void | setAutoClose (bool close)
bool | autoClose () const
void | open (QObject *receiver, const char *member)
## Protected Slots
void | forceShow ()
## Protected Member Functions
void | resizeEvent (QResizeEvent *event)
void | closeEvent (QCloseEvent *event)
void | changeEvent (QEvent *event)
void | showEvent (QShowEvent *event)
## Properties
bool | wasCanceled
int | minimum
int | maximum
int | value
bool | autoReset
bool | autoClose
int | minimumDuration
QString | labelText

## Constructor & Destructor Documentation

QProgressDialog | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[explicit]`

QProgressDialog | ( | const QString & | labelText,
|  | const QString & | cancelButtonText,
|  | int | minimum,
|  | int | maximum,
|  | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  |

~QProgressDialog | ( |  | ) |

## Member Function Documentation

void setLabel | ( | QLabel * | label | ) |

Search for all occurrences

void setCancelButton | ( | QPushButton * | button | ) |

Search for all occurrences

void setBar | ( | QProgressBar * | bar | ) |

Search for all occurrences

bool wasCanceled | ( |  | ) | const

Search for all occurrences

int minimum | ( |  | ) | const

Search for all occurrences

int maximum | ( |  | ) | const

Search for all occurrences

int value | ( |  | ) | const

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

QString labelText | ( |  | ) | const

Search for all occurrences

int minimumDuration | ( |  | ) | const

Search for all occurrences

void setAutoReset | ( | bool | reset | ) |

Search for all occurrences

bool autoReset | ( |  | ) | const

Search for all occurrences

void setAutoClose | ( | bool | close | ) |

Search for all occurrences

bool autoClose | ( |  | ) | const

Search for all occurrences

void open | ( | QObject * | receiver,
|  | const char * | member
| ) |  |

Search for all occurrences

void cancel | ( |  | ) | `[slot]`

Search for all occurrences

void reset | ( |  | ) | `[slot]`

Search for all occurrences

void setMaximum | ( | int | maximum | ) | `[slot]`

Search for all occurrences

void setMinimum | ( | int | minimum | ) | `[slot]`

Search for all occurrences

void setRange | ( | int | minimum,
|  | int | maximum
| ) |  | `[slot]`

Search for all occurrences

void setValue | ( | int | progress | ) | `[slot]`

Search for all occurrences

void setLabelText | ( | const QString & | text | ) | `[slot]`

Search for all occurrences

void setCancelButtonText | ( | const QString & | text | ) | `[slot]`

Search for all occurrences

void setMinimumDuration | ( | int | ms | ) | `[slot]`

Search for all occurrences

void canceled | ( |  | ) | `[signal]`

Search for all occurrences

void resizeEvent | ( | QResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QDialog.

void closeEvent | ( | QCloseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QDialog.

void changeEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void showEvent | ( | QShowEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QDialog.

void forceShow | ( |  | ) | `[protected, slot]`

Search for all occurrences

## Property Documentation

bool wasCanceled `[read]`

Search for all occurrences

Definition at line 65 of file qprogressdialog.h.

int minimum `[read, write]`

Search for all occurrences

Definition at line 66 of file qprogressdialog.h.

int maximum `[read, write]`

Search for all occurrences

Definition at line 67 of file qprogressdialog.h.

int value `[read, write]`

Search for all occurrences

Definition at line 68 of file qprogressdialog.h.

bool autoReset `[read, write]`

Search for all occurrences

Definition at line 69 of file qprogressdialog.h.

bool autoClose `[read, write]`

Search for all occurrences

Definition at line 70 of file qprogressdialog.h.

int minimumDuration `[read, write]`

Search for all occurrences

Definition at line 71 of file qprogressdialog.h.

QString labelText `[read, write]`

Search for all occurrences

Definition at line 72 of file qprogressdialog.h.

The documentation for this class was generated from the following file:

- QtGui/qprogressdialog.h

QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog
QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog QProgressDialog